Bug 97701 - New cannot find thread error WITHOUT Electric Fence
New cannot find thread error WITHOUT Electric Fence
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-06-19 10:51 EDT by R.J.V. Bertin
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 14:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R.J.V. Bertin 2003-06-19 10:51:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; UNIX) Opera 6.12  [en]

Description of problem:
This applies to gdb 5.3 (installed from source) -- this version was not proposed in the selection list!!

I am experiencing a problem similar to that described as resolved in bug 31712. This happens either with and without Electric Fence (2.1). It occurs when I 1) receive a signal due to some bug, and 2) when I try to obtain 

I am running a 2.2.13-7mdk glibc2.1.3 system; any ideas what this can be due to?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. enter debugger and execute programme
2. re-enter debugger because of
   a) breakpoint or
   b) signal or
   c) dlopen libreadline 4.2, dlsym readline and invoke that routine (not sure which operation blocks).      
3. cannot find thread...

When I run without using readline, no problems occur.

Actual Results:  [New cannot find thread 2049

Additional info:
Comment 1 Elena Zannoni 2003-07-29 16:03:49 EDT
Can you send a transcript of a gdb session where the error occurs?
Can you also try a newer rpm, there is one based on gdb-5.3.90, and seeif the
problem still occurs?

Comment 2 Jeff Johnston 2003-08-22 15:20:27 EDT
Could you please answer Elena's query above?  Have you tried using a later
release of glibc?  There were some fixes made in the libthread_db area which is
crucial for gdb to debug threads.
Comment 3 R.J.V. Bertin 2003-08-22 15:28:36 EDT
Sorry, this reached me during my vacation.

No, I did try another glibc. I have the latest version available for my (in binary installable), and won't take the risk to build one myself. :(
Comment 4 Jeff Johnston 2003-08-25 14:47:19 EDT
Ok, could you give us a transcript of a gdb session with
"set debug lin-lwp 1" set and whatever source you can give
us that generates the error.  It would also be helpful to
have the updated version numbers of the various components you are
currently using (kernel, glibc, and gdb).

Comment 5 Bill Nottingham 2006-10-18 14:21:04 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.